[python-committers] build dependency on the branches on sphinx trunk necessary?

Georg Brandl g.brandl at gmx.net
Tue Jan 27 00:08:34 CET 2009

Matthias Klose schrieb:
> Guido van Rossum schrieb:
>> I'm not sure I understand your request. Is it okay to build docs using
>> a version of sphinx that is included in the distro? Is there a
>> specific revision that you would like to see rolled back, or do you
>> have a specific fix in mind?
> the specific change was committed in r68428. I didn't check if reverting this
> causes regressions in building the docs.

It doesn't; I've successfully built the docs with Sphinx 0.5.1+ after
reintroducing the try/except guards, so I've committed that as r68984.

> A safe approach would be to only use build dependencies on a branch which were
> released before the first release of the branch. I assume in this case, the
> branch should stick with sphinx-0.5 and not rely on newer sphinx versions (or
> sphinx dependencies which were released after the python-2.6.0 release).

Since I can't guarantee that everyone will keep to 0.5 compatibility,
it would be great if you could feel responsible for checking that it is
still given from time to time.


More information about the python-committers mailing list